/* *************************************************************************
 * Copyright (c) 2005 VMware, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
 * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * *************************************************************************/

/*
 * view.hh --
 *
 *      Main header file that includes the rest of the libview headers.
 */


#ifndef LIBVIEW_VIEW_HH
#define LIBVIEW_VIEW_HH


#include <libview/actionGroup.hh>
#include <libview/baseBGBox.hh>
#include <libview/contentBox.hh>
#include <libview/header.hh>
#include <libview/menuToggleAction.hh>
#include <libview/motionTracker.hh>
#include <libview/reparenter.hh>
#include <libview/spinnerAction.hh>
#include <libview/spinner.hh>
#include <libview/toolTip.hh>
#include <libview/uiGroup.hh>
#include <libview/viewport.hh>
#include <libview/weakPtr.hh>
#include <libview/widthHeight.hh>
#include <libview/wrapLabel.hh>


#endif /* LIBVIEW_VIEW_HH */
